package data.scripts;

import com.fs.starfarer.api.BaseModPlugin;
import com.fs.starfarer.api.Global;


public class MyModPlugin extends BaseModPlugin {
	
	public static String REGISTERED_PLUGIN_KEY = "MyModPlugin_MyCampaignPlugin_registered"; 
	@Override
	public void onEnabled(boolean wasEnabled) {		
		// Failsafe to ensure that the plugin doesn't get registered twice in the same savegame.
		// Not necessary from 0.6.1a onward.
		if (!Global.getSector().getPersistentData().containsKey(REGISTERED_PLUGIN_KEY)) {
			Global.getSector().getPersistentData().put(REGISTERED_PLUGIN_KEY, true);
			Global.getSector().registerPlugin(new MyCampaignPlugin());
		}
	}
	
}
